%global modname zope.i18nmessageid

%filter_provides_in %{python_sitearch}/zope/i18nmessageid/.*\.so$
%filter_setup

%if 0%{?fedora}
%global with_python3 1
%endif

Summary: Message Identifiers for internationalization
Name: python-zope-i18nmessageid
Version: 4.0.2
Release: 1%{?dist}
Source0: http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
License: ZPLv2.1
Group: Development/Libraries
URL: http://pypi.python.org/pypi/zope.i18nmessageid

BuildRequires: python2-devel
BuildRequires: python-setuptools

%if 0%{?with_python3}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
%endif

%description
This module provides message identifiers for internationalization.

%if 0%{?with_python3}
%package -n python3-zope-i18nmessageid
Summary:    Message Identifiers for internationalization
Group:      Development/Libraries

%description -n python3-zope-i18nmessageid
This module provides message identifiers for internationalization.
%endif


%prep
%setup -q -n %{modname}-%{version}

rm -rf %{modname}.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
env CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
env CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd
%endif


%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --root=$RPM_BUILD_ROOT
popd
%endif
%{__python} setup.py install --root=$RPM_BUILD_ROOT
# remove contained source file(s)
find $RPM_BUILD_ROOT -name '*.c' -type f -print0 | xargs -0 rm -fv

%check
%{__python} setup.py test
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%files
%defattr(-,root,root,-)
%doc CHANGES.txt README.txt COPYRIGHT.txt LICENSE.txt
# Co-own %%{python_sitearch}/zope/
%dir %{python_sitearch}/zope/
%{python_sitearch}/zope/i18nmessageid/
%{python_sitearch}/%{modname}-*.egg-info
%{python_sitearch}/%{modname}-*-nspkg.pth

%if 0%{?with_python3}
%files -n python3-zope-i18nmessageid
%doc CHANGES.txt README.txt COPYRIGHT.txt LICENSE.txt
# Co-own %%{python3_sitearch}/zope/
%dir %{python3_sitearch}/zope/
%{python3_sitearch}/zope/i18nmessageid/
%{python3_sitearch}/%{modname}-*.egg-info
%{python3_sitearch}/%{modname}-*-nspkg.pth
%endif


%changelog
* Wed Feb 13 2013 Ralph Bean <rbean@redhat.com> - 4.0.2-1
- Latest upstream
- Added Python3 subpackage

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 3.5.3-3
- Rebuilt for gcc bug 634757

* Thu Sep 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.5.3-2
- Filter private shared library provides

* Wed Sep 15 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.5.3-1
- Update to 3.5.3
- Requires: python-zope-filesystem and python-setuptools removed
- Add %%check section and run tests
- Co-own %%{python_sitearch}/zope/
- Spec cleaned up

* Tue Jun 22 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.5.2-2
- don't move the text files

* Wed Jun 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.5.2-1
- Initial packaging
